package org.josast.amicalsat;

import org.josast.amicalsat.generated.FrameTlmAmicalsat.V1RlType;
import org.josast.amicalsat.generated.FrameTlmAmicalsat.V1Type;

public class V1RlTypeFrame extends Frame {


	private String cpuVoltage;
	private String batteryVoltage;
	private String amplifierTemperature;
	private String flags;

	@Override
	protected void setUpFrame() {

			V1Type v1u2type = (V1Type) data.frameTlmEntrySat().payload().tlmAreaSwitch();
			V1RlType mstype = (V1RlType) v1u2type.tlmsw();
			
			timeStamps = mstype.timeStamp();
			hash.put("timeStamps", timeStamps);
			
			cpuVoltage = mstype.cpuVoltage();
			hash.put("cpuVoltage", cpuVoltage);
			batteryVoltage = mstype.batteryVoltage();
			hash.put("batteryVoltage", batteryVoltage);
			amplifierTemperature = mstype.amplifierTemperature();
			hash.put("amplifierTemperature", amplifierTemperature);
			
			flags = mstype.flags();
			hash.put("flags", flags)	;	
			
			
	
			
			

				
				
		 
	}



}
